"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var forms_1 = require('@angular/forms');
var index_1 = require("../services/index");
var index_2 = require("../models/index");
var ActivatedAccountComponent = (function () {
    function ActivatedAccountComponent(activatedRoute, formsLoginService, router, notifications) {
        this.activatedRoute = activatedRoute;
        this.formsLoginService = formsLoginService;
        this.router = router;
        this.notifications = notifications;
        this.title = "";
        this.message = "";
        this.entity = new index_2.ActiveAccountData();
    }
    ActivatedAccountComponent.prototype.ngOnInit = function () {
        var _this = this;
        var that = this;
        this.routerSubscribe = this.activatedRoute.params.subscribe(function (params) {
            _this.entity.UserId = params['userId'];
            _this.entity.EmailConfirmToken = params['token'];
            _this.formsLoginService.activeAccountWithToken(_this.entity).then(function (returnMessage) {
                if (returnMessage.isSuccess == true) {
                    that.title = "Congratulations!";
                    that.message = "Your account registration is successful. You will be redirected to the home page after 5 seconds. If you're not automatically redirected, please click the button below:";
                    setTimeout(function () { _this.formsLoginService.activatedAccount(returnMessage.message); }, 7000);
                }
                else {
                    that.title = "Activation not successful!";
                    that.message = "Some problems have occurred: " + returnMessage.message;
                }
            });
        });
    };
    ActivatedAccountComponent = __decorate([
        core_1.Component({
            selector: 'forgot-password-component',
            providers: [forms_1.FormsModule, index_1.FormsLoginService],
            template: ''
        }),
        core_1.Injectable(), 
        __metadata('design:paramtypes', [router_1.ActivatedRoute, index_1.FormsLoginService, router_1.Router, index_1.NotificationService])
    ], ActivatedAccountComponent);
    return ActivatedAccountComponent;
}());
exports.ActivatedAccountComponent = ActivatedAccountComponent;
