"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("@angular/core");
var index_1 = require("./../models/index");
var index_2 = require("./../services/index");
var BaseAppDashboardComponent = (function () {
    function BaseAppDashboardComponent(logger, permissionProvider, loginService) {
        this.logger = logger;
        this.permissionProvider = permissionProvider;
        this.loginService = loginService;
        this.dataEntity = index_1.Claim;
    }
    BaseAppDashboardComponent = __decorate([
        core_1.Component({
            template: "\n        <div *ngIf=\"loginService.userLoggedIn\">\n            <h2>App dashboard</h2>\n\t\t    List of acquired claims for Common.Claim:<br />\n\t\t    <ul>\n\t\t\t    <li *ngFor=\"let claim of permissionProvider.data$ | async\">{{claim | rheclaim}}</li>\n\t\t    </ul>\n            <base-grid [entityType]=\"dataEntity\" [detailsEnabled]=\"false\"></base-grid>\n            <kendo-grid [entityType]=\"dataEntity\" [detailsEnabled]=\"false\"></kendo-grid>\n        </div>\n\t"
        }), 
        __metadata('design:paramtypes', [index_2.TestLogger, index_2.PermissionProvider, index_2.LoginService])
    ], BaseAppDashboardComponent);
    return BaseAppDashboardComponent;
}());
exports.BaseAppDashboardComponent = BaseAppDashboardComponent;
