import { NgZone } from "@angular/core";
import { FormBuilder, AbstractControl, FormGroup } from "@angular/forms";
import { FormsLoginService, NotificationService } from "../services/index";
import { ForgotPasswordData } from "../models/index";
export declare class ForgotPasswordComponent {
    private fb;
    private formsLoginService;
    private notifications;
    private _currentZone;
    forgotPasswordData: ForgotPasswordData;
    forgotPasswordForm: FormGroup;
    private busy;
    private submitAttempt;
    private errorMessage;
    constructor(fb: FormBuilder, formsLoginService: FormsLoginService, notifications: NotificationService, _currentZone: NgZone);
    onSubmit(): void;
    emailValidator(): (ac: AbstractControl) => {
        invalidEmailAddress: boolean;
    };
}
