import { EventEmitter } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { IEntityDataService, ILoginService, IEmptyConstruct, IDataStructure } from "../interfaces/index";
import { ChangesCommit } from "../interfaces/index";
import { NotificationService } from "../services/index";
export declare abstract class IProfilePageComponent {
    protected entityService: IEntityDataService;
    protected loginService: ILoginService;
    protected notifications: NotificationService;
    entityEditing: IDataStructure;
    entitySaved: EventEmitter<IDataStructure>;
    formSubmitted: EventEmitter<ChangesCommit>;
    busy: boolean;
    protected inProgressChangeID: string;
    protected errorDescription: any;
    constructor(entityService: IEntityDataService, loginService: ILoginService, notifications: NotificationService);
    emailValidator(): (ac: AbstractControl) => {
        invalidEmail: boolean;
    };
    abstract save(DataStructure: IEmptyConstruct, entity: IDataStructure): void;
}
