import { ActivatedRoute, Router } from "@angular/router";
import { FormGroup, FormBuilder, AbstractControl } from "@angular/forms";
import { NotificationService, FormsLoginService } from "../services/index";
import { ResetPasswordData } from "../models/index";
export declare class ResetPasswordComponent {
    private fb;
    private formsLoginService;
    private router;
    private notifications;
    private activatedRoute;
    busy: boolean;
    _entity: ResetPasswordData;
    resetPasswordForm: FormGroup;
    _confirmPassword: string;
    _matched: boolean;
    routerSubscribe: any;
    private errorMessage;
    constructor(fb: FormBuilder, formsLoginService: FormsLoginService, router: Router, notifications: NotificationService, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    onSubmit(): void;
    checkMatched(): void;
    passwordStrongValidator(): (ac: AbstractControl) => {
        invalidPassword: boolean;
    };
    passwordRangeValidator(): (ac: AbstractControl) => {
        invalidRange: boolean;
    };
}
