import { AfterViewInit, EventEmitter, ElementRef, ReflectiveInjector, ComponentFactoryResolver, ViewContainerRef } from "@angular/core";
import { ControlValueAccessor, NgControl } from "@angular/forms";
import { IEntityDataService, IFieldFilter, ChangesCommit } from "./../interfaces/index";
import { PlaceholderComponent } from './../components/index';
export declare class AutocompleteExtendedJqueryControl implements ControlValueAccessor, AfterViewInit {
    private elRef;
    private dataSource;
    private dynamicComponentLoader;
    private container;
    id: string;
    private entityType;
    private popupComponent;
    disabled: boolean;
    additionalFilters: IFieldFilter[];
    styleClass: string;
    displayProperty: string;
    sortArray: string[];
    private sort;
    top: number;
    private isHighlight;
    dynamicBinding: ReflectiveInjector;
    showPopup: EventEmitter<string>;
    changeEvent: EventEmitter<string>;
    saveEvent: EventEmitter<any>;
    entitySubmitted: EventEmitter<ChangesCommit>;
    selected: EventEmitter<string>;
    onTouched: Function;
    private controlID;
    private popupComponentInstance;
    private static staticID;
    private idString;
    placeHolders: PlaceholderComponent;
    modalPopup: ElementRef;
    getValue(): string;
    constructor(cd: NgControl, elRef: ElementRef, dataSource: IEntityDataService, dynamicComponentLoader: ComponentFactoryResolver, container: ViewContainerRef);
    registerOnChange(fn: (_: string) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(valueID: string): void;
    setValue(valueID: string): void;
    onAdd(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    changeZIndex(): void;
}
