import { AfterViewInit, EventEmitter, ElementRef } from "@angular/core";
import { ControlValueAccessor, NgControl } from "@angular/forms";
import { IEntityDataService, IFieldFilter } from "./../interfaces/index";
export declare class AutocompleteJqueryControl implements ControlValueAccessor, AfterViewInit {
    private elRef;
    private dataSource;
    id: string;
    private entityType;
    disabled: boolean;
    additionalFilters: IFieldFilter[];
    styleClass: string;
    displayProperty: string;
    sortArray: string[];
    private sort;
    top: number;
    private isHighlight;
    change: EventEmitter<string>;
    selected: EventEmitter<string>;
    onTouched: Function;
    private controlID;
    private static staticID;
    private idString;
    getValue(): string;
    constructor(cd: NgControl, elRef: ElementRef, dataSource: IEntityDataService);
    registerOnChange(fn: (_: string) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(valueID: string): void;
    setValue(valueID: string): void;
    ngAfterViewInit(): void;
}
