"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
var CheckboxJqueryControl = (function () {
    function CheckboxJqueryControl(cd) {
        this.value = false;
        this.text = false;
        this.isHighlight = false;
        this.change = new core_1.EventEmitter();
        this.currentDisabled = false;
        cd.valueAccessor = this;
    }
    Object.defineProperty(CheckboxJqueryControl.prototype, "checked", {
        get: function () {
            return this.value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CheckboxJqueryControl.prototype, "disabled", {
        get: function () {
            return this.currentDisabled;
        },
        set: function (value) {
            this.currentDisabled = (value != undefined && value != null) && value !== false;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CheckboxJqueryControl.prototype, "role", {
        get: function () {
            return 'checkbox';
        },
        enumerable: true,
        configurable: true
    });
    CheckboxJqueryControl.prototype.registerOnChange = function (fn) {
        this.change.subscribe(fn);
    };
    CheckboxJqueryControl.prototype.registerOnTouched = function (fn) {
        this.touched = fn;
    };
    CheckboxJqueryControl.prototype.writeValue = function (value) {
        this.value = value;
    };
    CheckboxJqueryControl.prototype.toggle = function (event) {
        if (this.disabled)
            return event.stopPropagation();
        this.value = !this.value;
        this.change.next(this.value);
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], CheckboxJqueryControl.prototype, "value", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], CheckboxJqueryControl.prototype, "text", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], CheckboxJqueryControl.prototype, "isHighlight", void 0);
    __decorate([
        core_1.Output(), 
        __metadata('design:type', core_1.EventEmitter)
    ], CheckboxJqueryControl.prototype, "change", void 0);
    __decorate([
        core_1.HostListener('blur', ['$event']), 
        __metadata('design:type', Function)
    ], CheckboxJqueryControl.prototype, "touched", void 0);
    __decorate([
        core_1.HostBinding('attr.aria-checked'), 
        __metadata('design:type', Boolean)
    ], CheckboxJqueryControl.prototype, "checked", null);
    __decorate([
        core_1.HostBinding('attr.aria-disabled'), 
        __metadata('design:type', Boolean)
    ], CheckboxJqueryControl.prototype, "disabled", null);
    __decorate([
        core_1.HostBinding('attr.role'), 
        __metadata('design:type', String)
    ], CheckboxJqueryControl.prototype, "role", null);
    CheckboxJqueryControl = __decorate([
        core_1.Component({
            selector: 'checkbox[ngControl], checkbox[ngFormControl], checkbox[ngModel]',
            encapsulation: core_1.ViewEncapsulation.Emulated,
            template: "<label (click)=\"toggle($event)\">\n                    <input type=\"checkbox\" value=\"{{value}}\" [checked]=\"value\" [controlHighlight]=\"isHighlight\"> {{text}}\n                </label>",
            inputs: [
                'disabled'
            ]
        }),
        __param(0, core_1.Self()), 
        __metadata('design:paramtypes', [forms_1.NgControl])
    ], CheckboxJqueryControl);
    return CheckboxJqueryControl;
}());
exports.CheckboxJqueryControl = CheckboxJqueryControl;
