import { AfterViewInit, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class DatePickerJqueryControl implements ControlValueAccessor, AfterViewInit {
    private elRef;
    date: Date;
    showIcon: boolean;
    startRadius: boolean;
    endRadius: boolean;
    change: EventEmitter<Date>;
    onTouched: Function;
    private id;
    private static staticID;
    private dateString;
    private isHighlight;
    constructor(cd: NgControl, elRef: ElementRef);
    minDate: Date;
    maxDate: Date;
    getValue(): Date;
    registerOnChange(fn: (value: Date) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: Date): void;
    isValidDate(d: any): boolean;
    setDate(newValue: string): void;
    ngAfterViewInit(): void;
    changeZIndex(): void;
}
