import { AfterViewInit, ElementRef, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { IEntityDataService, IEmptyConstruct, IDataStructure, FieldFilter, FieldDefinition } from './../interfaces/index';
export declare class GridComponent implements AfterViewInit, OnDestroy {
    private elRef;
    private router;
    private entityService;
    private cd;
    entityType: IEmptyConstruct;
    editLink: string;
    detailsEnabled: boolean;
    columns: FieldDefinition[];
    filters: Array<FieldFilter>;
    setFilters(newFilters: Array<FieldFilter>): void;
    private controlID;
    private static staticID;
    private showEntityList;
    private showEntity;
    private gridColumns;
    private entityDataStructure;
    private gridContainer;
    private subscription;
    constructor(elRef: ElementRef, router: Router, entityService: IEntityDataService, cd: ChangeDetectorRef);
    openDetail(entity: IDataStructure): void;
    registerDataService(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
}
