import { ComponentFactoryResolver, ReflectiveInjector, AfterContentInit } from '@angular/core';
import { EventEmitter, ViewContainerRef, ElementRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { IEntityDataService, ChangesCommit, IFieldFilter } from './../interfaces/index';
import { PlaceholderComponent } from './../components/index';
export declare class LookupJqueryControl implements ControlValueAccessor, AfterContentInit {
    private elRef;
    private dynamicComponentLoader;
    private container;
    private dataSource;
    id: string;
    placeholder: string;
    private entityType;
    private popupComponent;
    displayProperty: string;
    additionalFilters: IFieldFilter[];
    sortArray: string[];
    private sort;
    top: number;
    dynamicBinding: ReflectiveInjector;
    onTouched: Function;
    showPopup: EventEmitter<string>;
    changeEvent: EventEmitter<string>;
    saveEvent: EventEmitter<any>;
    entitySubmitted: EventEmitter<ChangesCommit>;
    private selected;
    private controlID;
    private popupComponentInstance;
    private static staticID;
    private idString;
    constructor(cd: NgControl, elRef: ElementRef, dynamicComponentLoader: ComponentFactoryResolver, container: ViewContainerRef, dataSource: IEntityDataService);
    ngOnInit(): void;
    onAdd(): void;
    onEdit(): void;
    registerOnChange(fn: (_: string) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(valueID: string): void;
    placeHolders: PlaceholderComponent;
    modalPopup: ElementRef;
    ngAfterContentInit(): void;
    changeZIndex(): void;
}
