import { AfterViewInit, NgZone } from '@angular/core';
import { Router } from '@angular/router';
import { GlobalDataSharing, MenuItem, ActiveMenuItem, MyClaim } from './../models/index';
import { PermissionProvider, LoginService, TestLogger } from './../services/index';
import 'rxjs/Rx';
export declare class MenuComponent implements AfterViewInit {
    private globalDataShare;
    private logger;
    private router;
    private loginService;
    private permissionService;
    private activeMenuItem;
    private zone;
    private home;
    private rootRoute;
    private methodCall;
    private plainMenu;
    private permissionsLoadedEE;
    private permissionsLoaded;
    constructor(globalDataShare: GlobalDataSharing, logger: TestLogger, router: Router, loginService: LoginService, permissionService: PermissionProvider, activeMenuItem: ActiveMenuItem, zone: NgZone);
    sortMenuItem(): void;
    recursiveSortMenuItem(level: Array<MenuItem>): void;
    getAllClaims(menuItems: Array<MenuItem>, claims: MyClaim[]): void;
    applyMyClaims(menuItems: Array<MenuItem>, claims: MyClaim[]): boolean;
    permissionCheck(menuItems: Array<MenuItem>): void;
    gotoHome($event: any): void;
    gotoMenuDirection($event: any, menuItem: MenuItem): void;
    ngAfterViewInit(): void;
    executeThemeScript(): void;
}
