"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
var SuperTextboxJqueryControl = (function () {
    function SuperTextboxJqueryControl(cd, elRef) {
        var _this = this;
        this.elRef = elRef;
        this.value = "";
        this.isHighlight = false;
        this.changeEvent = new core_1.EventEmitter();
        this.change = function (_) { _this.changeEvent.emit(_); };
        this.touched = function () { };
        this.controlElem = null;
        this.textEditor = null;
        this.controlHeight = 25;
        cd.valueAccessor = this;
        this.controlID = ++SuperTextboxJqueryControl.staticID;
    }
    Object.defineProperty(SuperTextboxJqueryControl.prototype, "height", {
        set: function (newHeight) {
            this.controlHeight = newHeight;
            if (this.controlElem) {
            }
        },
        enumerable: true,
        configurable: true
    });
    SuperTextboxJqueryControl.prototype.registerOnChange = function (fn) {
        this.touched = function (value) { fn(value); };
    };
    SuperTextboxJqueryControl.prototype.registerOnTouched = function (fn) { this.touched = fn; };
    SuperTextboxJqueryControl.prototype.writeValue = function (value) {
        if (!value) {
            return;
        }
        this.value = value;
        if (this.textEditor) {
            this.textEditor.value(this.value);
        }
    };
    SuperTextboxJqueryControl.prototype.ngAfterViewInit = function () {
        var that = this;
        jQuery(this.elRef.nativeElement).find("#inputCon").attr('id', 'inputCon_SuperTX_' + this.controlID);
        this.controlElem = jQuery(jQuery(this.elRef.nativeElement).find('#inputCon_SuperTX_' + this.controlID));
        this.textEditor = this.controlElem.kendoEditor({
            resizable: {
                content: true,
                toolbar: true
            },
            tools: [
                "formatting",
                "bold", "italic", "underline",
                "strikethrough", "subscript", "superscript",
                "justifyLeft", "justifyCenter", "justifyRight", "justifyFull",
                "insertUnorderedList", "insertOrderedList", "indent", "outdent"
            ],
            change: function (event) {
                that.change(event.sender.element.val());
            },
            keyup: function (event) {
                that.change(event.target.textContent);
            }
        }).data("kendoEditor");
    };
    SuperTextboxJqueryControl.staticID = 1;
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], SuperTextboxJqueryControl.prototype, "value", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Number), 
        __metadata('design:paramtypes', [Number])
    ], SuperTextboxJqueryControl.prototype, "height", null);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], SuperTextboxJqueryControl.prototype, "isHighlight", void 0);
    __decorate([
        core_1.Output(), 
        __metadata('design:type', core_1.EventEmitter)
    ], SuperTextboxJqueryControl.prototype, "changeEvent", void 0);
    SuperTextboxJqueryControl = __decorate([
        core_1.Component({
            selector: 'super-textbox[ngControl], super-textbox[ngFormControl], super-textbox[ngModel]',
            encapsulation: core_1.ViewEncapsulation.Emulated,
            template: "<div><textarea id=\"inputCon\" [controlHighlight]=\"isHighlight\">{{value}}</textarea></div>",
            host: {
                '(change)': 'change($event.target.value)',
                '(input)': 'change($event.target.value)',
                '(blur)': 'touched()'
            },
        }),
        __param(0, core_1.Self()), 
        __metadata('design:paramtypes', [forms_1.NgControl, core_1.ElementRef])
    ], SuperTextboxJqueryControl);
    return SuperTextboxJqueryControl;
}());
exports.SuperTextboxJqueryControl = SuperTextboxJqueryControl;
