import { EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { IEntityContainer, IFieldFilter } from './../../interfaces/index';
import { TestLogger } from './../../services/index';
export declare class AutocompleteWrapperControl {
    private logger;
    private fb;
    parent: IEntityContainer;
    customizedForm: FormGroup;
    propertyName: string;
    private entityType;
    disabled: boolean;
    additionalFilters: IFieldFilter[];
    styleClass: string;
    private selected;
    change: EventEmitter<string>;
    private validators;
    private isHighlight;
    constructor(logger: TestLogger, fb: FormBuilder);
    setParentComponent(parentComponent: IEntityContainer, propertyName: string): void;
    private onChangeEvent(value);
    private onSelectedEvent(value);
}
