import { OnInit, AfterViewInit, NgZone, ApplicationRef } from '@angular/core';
import { Http } from '@angular/http';
import { Router } from '@angular/router';
import { TestLogger } from './../../services/index';
import { IEntityDataService } from './../../interfaces/index';
import { GlobalDataSharing, BarChartData } from './../../models/index';
export declare class Chart2CSControl implements OnInit, AfterViewInit {
    private logger;
    private http;
    private router;
    private entityService;
    private zone;
    private applicationRef;
    dataSource: BarChartData;
    constructor(logger: TestLogger, gds: GlobalDataSharing, http: Http, router: Router, entityService: IEntityDataService, zone: NgZone, applicationRef: ApplicationRef);
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
