import { EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { TestLogger } from './../../services/index';
import { IEntityContainer } from './../../interfaces/index';
import { CheckboxJqueryControl } from './../checkbox-jquery.control';
export declare class CheckboxWrapperControl {
    private logger;
    private fb;
    parent: IEntityContainer;
    customizedForm: FormGroup;
    propertyName: string;
    change: EventEmitter<boolean>;
    private validators;
    private isHighlight;
    checkBox: CheckboxJqueryControl;
    constructor(logger: TestLogger, fb: FormBuilder);
    setParentComponent(parentComponent: IEntityContainer, propertyName: string): void;
    private onChangeEvent(value);
}
