import { NgZone } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { TestLogger } from './../../services/index';
import { IEntityContainer } from './../../interfaces/index';
import { DatePickerJqueryControl } from './../datepicker-jquery.control';
export declare class DatePickerWrapperControl {
    private logger;
    private fb;
    private zone;
    parent: IEntityContainer;
    customizedForm: FormGroup;
    propertyName: string;
    private validators;
    private sub;
    proxyDateValue: Date;
    private isHighlight;
    dateTime: DatePickerJqueryControl;
    constructor(logger: TestLogger, fb: FormBuilder, zone: NgZone);
    setParentComponent(parentComponent: IEntityContainer, propertyName: string): void;
    onChange(): void;
    msDateToDate(msDate: string): Date;
    dateToMsDate(date: Date): string;
    ngOnDestroy(): void;
}
