import { NgZone, ReflectiveInjector, Injector } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { TestLogger } from './../../services/logger';
import { IEntityContainer, IEmptyConstruct } from './../../interfaces/index';
import { DropdownJqueryControl } from './../dropdown-jquery.control';
import { AutocompleteExtendedJqueryControl } from './../autocomplete-extended-jquery.control';
import { IEntityDataService } from './../../interfaces/index';
export declare class DropDownAndAutoCompleteExtendedWrapperControl {
    private logger;
    private fb;
    private zone;
    private restService;
    private injector;
    parent: IEntityContainer;
    customizedForm: FormGroup;
    propertyName: string;
    propertyReference: string;
    entityTypeProvider: ReflectiveInjector;
    private validators;
    entityType: IEmptyConstruct;
    entitySubcribe: any;
    entityTypeSubcribe: any;
    displayProperty: string;
    private referenceComponent;
    showDropDown: boolean;
    showAutoComplete: boolean;
    dropDown: DropdownJqueryControl;
    autoComplete: AutocompleteExtendedJqueryControl;
    constructor(logger: TestLogger, fb: FormBuilder, zone: NgZone, restService: IEntityDataService, injector: Injector);
    setParentComponent(parentComponent: IEntityContainer, propertyName: string): void;
    onChangeEvent(value: any): void;
    onSelectedEvent(event: any): void;
    ngOnDestroy(): void;
}
