import { OnInit, EventEmitter } from '@angular/core';
import { Http } from '@angular/http';
import { ErrorInCommand } from './../../models/index';
import { IEmptyConstruct, IEntityDataService } from './../../interfaces/index';
export declare class FileUploadWrapperControl implements OnInit {
    private entityService;
    private http;
    url: string;
    queueLimit: number;
    maxFileSize: number;
    autoUpload: boolean;
    allowedMimeType: Array<string>;
    allowedFileType: Array<string>;
    entityType: IEmptyConstruct;
    successEvent: EventEmitter<string[]>;
    errorEvent: EventEmitter<ErrorInCommand>;
    FileUploadedList: string[];
    private fileEntity;
    private dataEntity;
    private uploader;
    private uploaderOptions;
    private totallyUploaded;
    private multiple;
    private isShowFileList;
    private errorFileSize;
    constructor(entityService: IEntityDataService, http: Http);
    ngOnInit(): any;
    getTarget(obj: any): any;
    onChange($event: any): void;
    uploadAll(): void;
    private readFileToBase64(file, fileIndex);
    private saveFileToDatabase(dataBinary, file, fileIndex);
    private saveFileToDatabaseByUrl(dataBinary, file, fileIndex);
    removeAll(): void;
    removeFile(file: any): void;
    removeFromFileUploaded(value: any): void;
    downloadFileById(fileId: string): void;
    private downloadFile(dataBinaryStr, fileName);
    private convertByteArrayToString(dataByteArray);
    private convertStringToByteArray(dataBinaryStr);
    formatMSDate(date: Date): string;
}
