"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var global_data_sharing_model_1 = require('./../models/global-data-sharing.model');
var index_1 = require('./../interfaces/index');
var ComponentCustomizationFactory = (function () {
    function ComponentCustomizationFactory(globalDataShare) {
        var _this = this;
        this.globalDataShare = globalDataShare;
        this.registeredCustomization = new global_data_sharing_model_1.Storage();
        this._plainCustomization = new Array();
        console.log('ComponentCustomizationFactory instatinated!');
        this.registeredCustomization = this.globalDataShare.getSharedData("ComponentDetailCustomization");
        index_1.DecoratorRegistrations.registeredDecorators.filter(function (x) { return x instanceof index_1.CustomizeComponentDescriptor; }).map(function (exDecorated) { return _this.registeredCustomization.data.push(exDecorated); });
        this._plainCustomization = this.registeredCustomization.data;
        this.registeredCustomization.OnUpdate.subscribe(function (newItem) {
            console.log("New customize registered for: " + newItem.customizeComponent);
            _this._plainCustomization = _this.registeredCustomization.data;
        }, function () { }, function () { });
    }
    ComponentCustomizationFactory.prototype.getAllComponentCustomization = function (componentListenerDescriptors) {
        return this._plainCustomization.filter(function (x) { return componentListenerDescriptors.indexOf(x.hostComponentDescriptor) >= 0; }).map(function (x) { return x; });
    };
    ComponentCustomizationFactory = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [global_data_sharing_model_1.GlobalDataSharing])
    ], ComponentCustomizationFactory);
    return ComponentCustomizationFactory;
}());
exports.ComponentCustomizationFactory = ComponentCustomizationFactory;
