"use strict";
var decorator_registrations_interface_1 = require('./decorator-registrations.interface');
var CustomizeDataDefinitionDescriptor = (function () {
    function CustomizeDataDefinitionDescriptor(item) {
        this.hostDataDescriptor = item.hostDataDescriptor;
        this.customizeDataDefinition = item.customizeDataDefinition;
    }
    return CustomizeDataDefinitionDescriptor;
}());
exports.CustomizeDataDefinitionDescriptor = CustomizeDataDefinitionDescriptor;
function CustomizeDataDefinition(params) {
    return function (target) {
        decorator_registrations_interface_1.DecoratorRegistrations.registeredDecorators.push(new CustomizeDataDefinitionDescriptor({ hostDataDescriptor: params.hostDataDefinition.name, customizeDataDefinition: target }));
        console.log(' ***** Override detail component registered: ' + target.name + ', args: ' + params.hostDataDefinition.name);
    };
}
exports.CustomizeDataDefinition = CustomizeDataDefinition;
