import { IDataStructure, IEmptyConstruct } from './index';
export declare enum DataChangeType {
    Insert = 0,
    Update = 1,
    Delete = 2,
}
export declare class ChangesCommit {
    ID: string;
    DataType: IEmptyConstruct;
    ChangeType: DataChangeType;
    data: Array<IDataStructure>;
}
export interface IDataChanged {
    ID: string;
    data: Array<IDataStructure>;
    dataChangedType?: DataChangeType;
    dataStructure?: IEmptyConstruct;
}
export declare class DataChanged implements IDataChanged {
    ID: string;
    data: Array<IDataStructure>;
    constructor(id: string, Data: Array<IDataStructure>);
}
