import { IDataStructure, ChangesCommit } from './../interfaces/index';
import { EventEmitter } from '@angular/core';
export interface IEditComponent {
    isRouteMappedComponent: boolean;
    formTitle: string;
    entityEditing: IDataStructure;
    formSubmitted: EventEmitter<ChangesCommit>;
    formCancelled: EventEmitter<boolean>;
    entitySaved: EventEmitter<IDataStructure>;
}
export interface IHistroyTabComponent extends IEditComponent {
    isHiddenView: boolean;
}
