"use strict";
(function (DataTypeEnum) {
    DataTypeEnum[DataTypeEnum["string"] = 0] = "string";
    DataTypeEnum[DataTypeEnum["datetime"] = 1] = "datetime";
    DataTypeEnum[DataTypeEnum["number"] = 2] = "number";
    DataTypeEnum[DataTypeEnum["boolean"] = 3] = "boolean";
    DataTypeEnum[DataTypeEnum["binary"] = 4] = "binary";
    DataTypeEnum[DataTypeEnum["longstring"] = 5] = "longstring";
})(exports.DataTypeEnum || (exports.DataTypeEnum = {}));
var DataTypeEnum = exports.DataTypeEnum;
(function (FilterMatchMode) {
    FilterMatchMode[FilterMatchMode["contains"] = 0] = "contains";
    FilterMatchMode[FilterMatchMode["startsWith"] = 1] = "startsWith";
    FilterMatchMode[FilterMatchMode["endsWith"] = 2] = "endsWith";
    FilterMatchMode[FilterMatchMode["notContains"] = 3] = "notContains";
    FilterMatchMode[FilterMatchMode["equals"] = 4] = "equals";
    FilterMatchMode[FilterMatchMode["notEquals"] = 5] = "notEquals";
    FilterMatchMode[FilterMatchMode["greater"] = 6] = "greater";
    FilterMatchMode[FilterMatchMode["greaterEqual"] = 7] = "greaterEqual";
    FilterMatchMode[FilterMatchMode["less"] = 8] = "less";
    FilterMatchMode[FilterMatchMode["lessEqual"] = 9] = "lessEqual";
})(exports.FilterMatchMode || (exports.FilterMatchMode = {}));
var FilterMatchMode = exports.FilterMatchMode;
var FieldDefinition = (function () {
    function FieldDefinition() {
        this.IsFilterEnabled = false;
        this.FilterMatchMode = FilterMatchMode.contains;
        this.IsSortedColumn = false;
    }
    return FieldDefinition;
}());
exports.FieldDefinition = FieldDefinition;
