import { EventEmitter } from '@angular/core';
export declare class Storage<T> {
    data: Array<T>;
    OnUpdate: EventEmitter<T>;
}
export declare class GlobalDataSharing {
    private static _storages;
    addSharedData<T>(storageName: string, addedData: T): void;
    getSharedData<T>(storageName: string): Storage<T>;
    constructor();
}
