"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var Storage = (function () {
    function Storage() {
        this.data = new Array();
        this.OnUpdate = new core_1.EventEmitter();
    }
    return Storage;
}());
exports.Storage = Storage;
var GlobalDataSharing = (function () {
    function GlobalDataSharing() {
        if (GlobalDataSharing._storages === undefined)
            GlobalDataSharing._storages = new Map();
    }
    GlobalDataSharing.prototype.addSharedData = function (storageName, addedData) {
        if (!GlobalDataSharing._storages.has(storageName))
            GlobalDataSharing._storages.set(storageName, new Storage());
        GlobalDataSharing._storages.get(storageName).data.push(addedData);
        GlobalDataSharing._storages.get(storageName).OnUpdate.next(addedData);
    };
    GlobalDataSharing.prototype.getSharedData = function (storageName) {
        if (!GlobalDataSharing._storages.has(storageName))
            GlobalDataSharing._storages.set(storageName, new Storage());
        return GlobalDataSharing._storages.get(storageName);
    };
    GlobalDataSharing = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], GlobalDataSharing);
    return GlobalDataSharing;
}());
exports.GlobalDataSharing = GlobalDataSharing;
