"use strict";
var LoginData = (function () {
    function LoginData() {
        this.UserName = "";
        this.Password = "";
        this.PersistCookie = true;
    }
    return LoginData;
}());
exports.LoginData = LoginData;
var LoginInfo = (function () {
    function LoginInfo() {
        this.LoggedAs = "Guest";
        this.UserLoggedIn = false;
        this.Message = "";
        this.Success = true;
    }
    return LoginInfo;
}());
exports.LoginInfo = LoginInfo;
var ActiveAccountData = (function () {
    function ActiveAccountData() {
        this.UserId = "";
        this.EmailConfirmToken = "";
    }
    return ActiveAccountData;
}());
exports.ActiveAccountData = ActiveAccountData;
var ForgotPasswordData = (function () {
    function ForgotPasswordData() {
        this.UserName = "";
        this.RedirectUrl = "";
    }
    return ForgotPasswordData;
}());
exports.ForgotPasswordData = ForgotPasswordData;
var ResetPasswordData = (function () {
    function ResetPasswordData() {
        this.UserId = "";
        this.PasswordResetToken = "";
        this.NewPassword = "";
    }
    return ResetPasswordData;
}());
exports.ResetPasswordData = ResetPasswordData;
var ResetData = (function () {
    function ResetData() {
        this.UserName = "";
    }
    return ResetData;
}());
exports.ResetData = ResetData;
var RegisterData = (function () {
    function RegisterData() {
        this.Email = "";
        this.Password = "";
        this.RedirectUrl = "";
    }
    return RegisterData;
}());
exports.RegisterData = RegisterData;
