"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var MenuItem = (function () {
    function MenuItem(menuItem) {
        this.Name = "";
        this.Icon = "";
        this.Tooltip = "";
        this.Link = "";
        this.Visible = false;
        if (menuItem) {
            this.setModelDataInner(menuItem);
            this.Children = [];
            for (var i = 0; i < menuItem.Children.length; i++) {
                this.Children.push(new MenuItem(menuItem.Children[i]));
            }
            if (this.Children.length > 0)
                this.CSSClass += " nav-parent";
        }
    }
    MenuItem.prototype.setModelData = function (modelData) {
        this.setModelDataInner(modelData);
    };
    MenuItem.prototype.setModelDataInner = function (modelData) {
        if (modelData) {
            this.ID = modelData.ID;
            this.ClaimResource = modelData.ClaimResource;
            this.ClaimRight = modelData.ClaimRight;
            this.Name = modelData.Name;
            this.Icon = modelData.Icon;
            this.Tooltip = modelData.Tooltip;
            this.Link = modelData.Link;
            this.Parent = modelData.Parent;
            this.Visible = modelData.Visible;
            this.CSSClass = modelData.Name.toLowerCase().toLowerCase().replace(/ /g, '-') + ' ' + modelData.CSSClass;
        }
    };
    return MenuItem;
}());
exports.MenuItem = MenuItem;
var ActiveMenuItem = (function () {
    function ActiveMenuItem() {
        this.Crumbs = [];
        this.SelectedItem = null;
    }
    ActiveMenuItem = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], ActiveMenuItem);
    return ActiveMenuItem;
}());
exports.ActiveMenuItem = ActiveMenuItem;
