"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var index_1 = require('./../models/index');
var index_2 = require('./../interfaces/index');
var Principal = (function (_super) {
    __extends(Principal, _super);
    function Principal() {
        _super.apply(this, arguments);
        this.browseFields = [
            { Name: "ClaimResource", Pipe: "", DataType: index_2.DataTypeEnum.string },
            { Name: "ClaimRight", Pipe: "", DataType: index_2.DataTypeEnum.string }
        ];
    }
    Principal.prototype.getNewInstance = function () { return new Principal(); };
    Principal.prototype.getModuleName = function () { return "Common"; };
    Principal.prototype.getEntityName = function () { return "Principal"; };
    Principal.prototype.getValidators = function () { return {}; };
    Principal.prototype.setModelData = function (modelData) {
        if (modelData) {
            this.ID = modelData.ID;
            this.Name = modelData.Name;
        }
    };
    return Principal;
}(index_1.BaseEntity));
exports.Principal = Principal;
