import { Router } from '@angular/router';
import { Http } from '@angular/http';
import { IEntityDataService } from './../interfaces/index';
import { ActiveAccountData, ForgotPasswordData, ResetPasswordData, ResetData, ReturnMessage } from './../models/index';
import { LoginService } from '../services/index';
export declare class FormsLoginService extends LoginService {
    private _http;
    private _entityService;
    protected router: Router;
    constructor(_http: Http, _entityService: IEntityDataService, router: Router);
    forgotPassword(params: ForgotPasswordData): Promise<ReturnMessage>;
    startResetPassword(params: ResetData): Promise<ReturnMessage>;
    resetPasswordWithToken(params: ResetPasswordData): Promise<ReturnMessage>;
    activeAccountWithToken(params: ActiveAccountData): Promise<ReturnMessage>;
    activatedAccount(username: string): void;
}
