"use strict";
var core_1 = require('@angular/core');
var platform_browser_dynamic_1 = require('@angular/platform-browser-dynamic');
function AppComponent(config) {
    return function (cls) {
        var annotations = Reflect.getMetadata('annotations', cls) || [];
        annotations.push(new core_1.Component(config));
        Reflect.defineMetadata('annotations', annotations, cls);
        cls.bootstrapApp = function () { platform_browser_dynamic_1.platformBrowserDynamic().bootstrapModule(cls, config.providers || []); };
        return cls;
    };
}
exports.AppComponent = AppComponent;
;
