import { QueryList, AfterViewInit, ViewContainerRef, Injector, EventEmitter, ChangeDetectorRef, ComponentFactoryResolver } from "@angular/core";
import { TestLogger } from "./../services/index";
import { PlaceholderComponent } from "./index";
export declare class CustomizeableDetailComponent implements AfterViewInit {
    private logger_ODC;
    private componentResolver;
    private injector_ODC;
    elementRef_ODC: ViewContainerRef;
    private cd_ODC;
    controls: Array<any>;
    initializationComplete: EventEmitter<number>;
    componentsToPrepare: number;
    customizeComponents: any[];
    constructor(logger_ODC: TestLogger, componentResolver: ComponentFactoryResolver, injector_ODC: Injector, elementRef_ODC: ViewContainerRef, cd_ODC: ChangeDetectorRef);
    getCustomizeListeners(): string[];
    placeHolders: QueryList<PlaceholderComponent>;
    ngAfterViewInit(): void;
}
