import { NgZone } from "@angular/core";
import { FormBuilder, FormGroup } from "@angular/forms";
import { Router } from "@angular/router";
import { FormsLoginService, NotificationService } from "../services/index";
import { LoginData, ResetData } from "../models/index";
export declare class LoginComponent {
    private fb;
    private formsLoginService;
    private _currentZone;
    private notifications;
    private router;
    loginData: LoginData;
    resetData: ResetData;
    loginForm: FormGroup;
    resetForm: FormGroup;
    private _loginInfo_;
    private _resetPass;
    private busy;
    private submitAttempt;
    constructor(fb: FormBuilder, formsLoginService: FormsLoginService, _currentZone: NgZone, notifications: NotificationService, router: Router);
    onSignInSubmit(): void;
    onResetSubmit(): void;
}
