import { OnInit, EventEmitter } from '@angular/core';
export declare const IMAGE_ERRORS: {
    IMAGE_FAILED_TO_LOAD: number;
    SMALL_IMAGE: number;
};
export declare class ProfilePictureComponent implements OnInit {
    strURIImageFormat: string;
    defaultImg: string;
    isShowError: boolean;
    isShowSaveButton: boolean;
    errorMessage: string;
    busy: boolean;
    limitsize: number;
    widthImg: number;
    heightImg: number;
    changeProfilePictureUrl: string;
    changeProfilePictureEvent: EventEmitter<any>;
    constructor();
    ngOnInit(): any;
    onCheckImageSize(errorCode: any): void;
    setProfilePicture(value: any): void;
    onEnableCropit(): void;
    onEditPictureChange(): void;
    onChangeImg(): void;
    onCancelImg(): void;
    updateProfilePicture(imageData: string): void;
    private convertByteArrayToString(dataByteArray);
    private convertStringToByteArray(dataBinaryStr);
}
