import { NgZone } from "@angular/core";
import { FormControl, FormGroup, FormBuilder } from "@angular/forms";
import { FormsLoginService, NotificationService } from "../services/index";
import { RegisterData } from "../models/index";
export declare class RegisterComponent {
    private fb;
    private formsLoginService;
    private currentZone;
    private notifications;
    registerData: RegisterData;
    registerForm: FormGroup;
    submitAttempt: boolean;
    private busy;
    private errorMessage;
    constructor(fb: FormBuilder, formsLoginService: FormsLoginService, currentZone: NgZone, notifications: NotificationService);
    onRegisterSubmit(): void;
    matchingPasswords(passwordKey: string, confirmPasswordKey: string): (group: FormGroup) => {
        [key: string]: any;
    };
    passwordValidator(): (ac: FormControl) => {
        invalidPassword: boolean;
    };
}
