import { EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class CheckboxJqueryControl implements ControlValueAccessor {
    value: boolean;
    text: boolean;
    private isHighlight;
    change: EventEmitter<boolean>;
    touched: Function;
    readonly checked: boolean;
    disabled: boolean;
    readonly role: string;
    private currentDisabled;
    constructor(cd: NgControl);
    registerOnChange(fn: (_: boolean) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: boolean): void;
    toggle(event: any): void;
}
