import { NgZone, AfterViewInit, OnDestroy, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { IEntityDataService, IFieldFilter } from './../interfaces/index';
export declare class DropdownJqueryControl implements ControlValueAccessor, AfterViewInit, OnDestroy {
    private elRef;
    private dataSource;
    private ngZone;
    private entityType;
    private additionalFilters;
    private placeholder;
    private valueProperty;
    private displayProperty;
    private sortProperty;
    private sortDirection;
    private disabled;
    private isHighlight;
    private iconClass;
    changeEvent: EventEmitter<string>;
    selected: EventEmitter<string>;
    onTouched: Function;
    private valueID;
    private controlID;
    private availableItems;
    private availableEntities;
    private selectedItem;
    private static staticID;
    constructor(cd: NgControl, elRef: ElementRef, dataSource: IEntityDataService, ngZone: NgZone);
    registerOnChange(fn: (_: string) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(valueID: string): void;
    private subscription;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    setValue(newValue: string): void;
    getValue(): string;
    reLoadFilters(updateFilters: IFieldFilter[]): void;
}
