"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var PrintableJqueryControl = (function () {
    function PrintableJqueryControl() {
    }
    PrintableJqueryControl.prototype.printContent = function (element, title) {
        var currentTitle = document.title;
        document.title = title;
        jQuery('#main-body-content').hide();
        jQuery('#print-content').html(this.formatFormElement(element));
        window.print();
        document.title = currentTitle;
        jQuery('#print-content').html('');
        jQuery('#main-body-content').show();
    };
    PrintableJqueryControl.prototype.formatFormElement = function (element) {
        var jQueryelement = jQuery(element);
        jQuery('input[type="checkbox"],input[type="radio"]', jQueryelement).each(function () {
            if (jQuery(this).is(':checked'))
                this.setAttribute('checked', 'checked');
            else
                this.removeAttribute('checked');
        });
        jQuery("input[type='text'],input[type='number'],input[type='email'],input[type='password']", jQueryelement).each(function () {
            this.setAttribute('value', jQuery(this).val());
        });
        jQuery("select", jQueryelement).each(function () {
            var jQueryselect = jQuery(this);
            jQuery("option", jQueryselect).each(function () {
                if (jQueryselect.val() == jQuery(this).val())
                    this.setAttribute('selected', 'selected');
                else
                    this.removeAttribute('selected');
            });
        });
        jQuery("textarea", jQueryelement).each(function () {
            this.innerHTML = jQuery(this).val();
        });
        var elementHtml = jQueryelement.clone().html();
        return elementHtml;
    };
    PrintableJqueryControl = __decorate([
        core_1.Component({
            selector: 'printable',
            template: "",
        }), 
        __metadata('design:paramtypes', [])
    ], PrintableJqueryControl);
    return PrintableJqueryControl;
}());
exports.PrintableJqueryControl = PrintableJqueryControl;
