import { AfterViewInit, ElementRef, NgZone } from "@angular/core";
import { ControlValueAccessor, NgControl } from "@angular/forms";
import { IEntityDataService } from "./../interfaces/index";
export declare class TagAutocompleteJqueryControl implements ControlValueAccessor, AfterViewInit {
    private elRef;
    private dataSource;
    private currentZone;
    private additionalFilters;
    private disabled;
    private displayProperty;
    private entityType;
    private iconClass;
    private placeholder;
    private sortDirection;
    private sortProperty;
    private styleClass;
    private tagClass;
    private top;
    private valueProperty;
    private change;
    private selected;
    touched: Function;
    private loadedEE;
    private controlID;
    private values;
    private static staticID;
    constructor(cd: NgControl, elRef: ElementRef, dataSource: IEntityDataService, currentZone: NgZone);
    addTag(valueID: string): void;
    ngAfterViewInit(): void;
    setValue(value: any): void;
    registerOnChange(fn: (valueID: string[]) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: any): void;
}
