import { NgZone } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { TestLogger } from './../../services/logger';
import { IEntityContainer, IEmptyConstruct } from './../../interfaces/index';
import { DropdownJqueryControl } from './../dropdown-jquery.control';
export declare class DropDownWrapperControl {
    private logger;
    private fb;
    private zone;
    parent: IEntityContainer;
    customizedForm: FormGroup;
    propertyName: string;
    propertyReference: string;
    private validators;
    entityType: IEmptyConstruct;
    entitySubcribe: any;
    entityTypeSubcribe: any;
    displayProperty: string;
    private isHighlight;
    dropDown: DropdownJqueryControl;
    constructor(logger: TestLogger, fb: FormBuilder, zone: NgZone);
    setParentComponent(parentComponent: IEntityContainer, propertyName: string): void;
    onChangeEvent(): void;
    onSelectedEvent(event: any): void;
    ngOnDestroy(): void;
}
