import { IEmptyConstruct, ValidatorDefinition, IFieldDefinition } from './index';
export interface IDataStructure {
    ID: string;
    getInstance(): IEmptyConstruct;
    getRootEntity(): IDataStructure;
    getNewInstance(): IDataStructure;
    getValidators(): {
        [propName: string]: ValidatorDefinition[];
    };
    setModelData(modelData: IDataStructure): void;
    browseFields: Array<IFieldDefinition>;
    getModuleName(): string;
    getEntityName(): string;
    getNameID(): string;
    getHasReadRowPermissions(): boolean;
    fromRawEntity(entity: IDataStructure): IDataStructure;
    entityToJSON(): string;
}
