export declare class LoginData {
    UserName: string;
    Password: string;
    PersistCookie: boolean;
}
export declare class LoginInfo {
    LoggedAs: string;
    UserLoggedIn: boolean;
    Message: string;
    Success: boolean;
}
export declare class ActiveAccountData {
    UserId: string;
    EmailConfirmToken: string;
}
export declare class ForgotPasswordData {
    UserName: string;
    RedirectUrl: string;
}
export declare class ResetPasswordData {
    UserId: string;
    PasswordResetToken: string;
    NewPassword: string;
}
export declare class ResetData {
    UserName: string;
}
export declare class RegisterData {
    Email: string;
    Password: string;
    RedirectUrl: string;
}
