import { IMenuItem } from './../interfaces/index';
export declare class MenuItem implements IMenuItem {
    ID: string;
    ClaimResource: string;
    ClaimRight: string;
    Name: string;
    Icon: string;
    Tooltip: string;
    Link: string;
    Parent: string;
    Children: MenuItem[];
    Visible: boolean;
    CSSClass: string;
    constructor(menuItem?: IMenuItem);
    setModelData(modelData: MenuItem): void;
    setModelDataInner(modelData: IMenuItem): void;
}
export declare class ActiveMenuItem {
    Crumbs: string[];
    SelectedItem: IMenuItem;
}
