import { BaseEntity } from './../models/index';
import { ValidatorDefinition, IFieldDefinition } from './../interfaces/index';
export declare class Principal extends BaseEntity {
    Name: string;
    ID: string;
    getNewInstance(): Principal;
    getModuleName(): string;
    getEntityName(): string;
    getValidators(): {
        [propName: string]: ValidatorDefinition[];
    };
    browseFields: Array<IFieldDefinition>;
    setModelData(modelData: Principal): void;
}
