"use strict";
function GloballyShared(sharedData) {
    var __globalSharedRepos__ = {};
    return function (target, propertyKey, descriptor) {
        descriptor.get = function () {
            if (!__globalSharedRepos__[target.constructor.name + '_' + propertyKey])
                __globalSharedRepos__[target.constructor.name + '_' + propertyKey] = sharedData;
            return __globalSharedRepos__[target.constructor.name + '_' + propertyKey];
        };
    };
}
exports.GloballyShared = GloballyShared;
function GloballySharedByName(sharedData, sharedKey) {
    var __globalSharedRepos__ = {};
    return function (target, propertyKey, descriptor) {
        descriptor.get = function () {
            if (!__globalSharedRepos__[sharedKey])
                __globalSharedRepos__[sharedKey] = sharedData;
            return __globalSharedRepos__[sharedKey];
        };
    };
}
exports.GloballySharedByName = GloballySharedByName;
